tigase.server

## Interface ServerComponent

- All Known Subinterfaces:
    ClusteredComponentIfc, ComponentRegistrator, Configurable, MessageReceiver, MessageRouterIfc, StatisticsContainer, VHostListener, XMPPService
  All Known Implementing Classes:
    AbstractComponent, AbstractComponentRegistrator, AbstractMessageReceiver, AmpComponent, AmpComponentClustered, BasicComponent, BoshConnectionClustered, BoshConnectionManager, ClientConnectionClustered, ClientConnectionManager, ClusterConnectionManager, ClusterController, ComponentConnectionManager, ComponentProtocol, Configurator, ConfiguratorAbstract, ConfiguratorOld, ConnectionManager, EchoComponent, EventBusComponent, MessageRouter, MonitorClustered, MonitorComponent, MonitorComponent, S2SConnectionClustered, S2SConnectionManager, ServerConnectionManager, SessionManager, SessionManagerClustered, StanzaReceiver, StanzaSender, StatisticsCollector, TestComponent, VHostManager, VHostManagerClustered, VirtualComponent, WebSocketClientConnectionClustered, WebSocketClientConnectionManager, XMPPServiceCollector

      public interface ServerComponent

  Interface ServerComponent Object of this type can be managed by MessageRouter. All classes which are loaded by MessageRouter must inherit this interface. Created: Tue Nov 22 07:07:11 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `tigase.xmpp.JID` | `getComponentId()` Method description
    `ComponentInfo` | `getComponentInfo()` Allows to obtain various informations about components
    `String` | `getName()` Method description
    `void` | `initializationCompleted()` Method is called by `MessageRouter` when all the startup components of the server have been loaded and configured through setProperties(...) call.
    `boolean` | `isInitializationComplete()` Method returns information about whether the initialization process (initializationCompleted()) method has been called.
    `void` | `processPacket(Packet packet, Queue<Packet> results)` `processPacket` is a blocking processing method implemented by all components.
    `void` | `release()` Method description
    `void` | `setName(String name)` Method description

- - ### Method Detail

    - #### initializationCompleted

          void initializationCompleted()

      Method is called by `MessageRouter` when all the startup components of the server have been loaded and configured through setProperties(...) call. At this point the whole server should be loaded and functional, except initializations taking place in this routine.

    - #### processPacket

          void processPacket(Packet packet,
                             Queue<Packet> results)

      `processPacket` is a blocking processing method implemented by all components. This method processes packet and returns results instantly without waiting for any resources.
      Parameters:
        `packet` - a `Packet` value
        `results` -

    - #### release

          void release()

      Method description

    - #### getComponentId

          tigase.xmpp.JID getComponentId()

      Method description

    - #### getComponentInfo

          ComponentInfo getComponentInfo()

      Allows to obtain various informations about components
      Returns:
        information about particular component

    - #### getName

          String getName()

      Method description

    - #### isInitializationComplete

          boolean isInitializationComplete()

      Method returns information about whether the initialization process (initializationCompleted()) method has been called.
      Returns:
        `true` if initialization of the object has been completed `false` otherwise

    - #### setName

          void setName(String name)

      Method description
      Parameters:
        `name` -

Copyright © 2016 "Tigase, Inc.". All rights reserved.